<?php
// Establecer la conexión a la base de datos
$conexion = pg_connect("host=localhost dbname=geovisorca user=postgres password=martin1927");


if ($conexion === false) {
    die("Error al conectar a la base de datos.");
} else {
    $query_cuencas = "SELECT codigo, nombre FROM cuencas";
    $resultado_cuencas = pg_query($conexion, $query_cuencas);

    if (!$resultado_cuencas) {
        die("Error al ejecutar la consulta de cuencas.");
    } else {
        // Generar el primer select de cuencas
        echo "<select id='cuenca' onchange='obtenerPuntos()'>";
        echo "<option value=''>Seleccionar Subzona Hidrográfica</option>";
        while ($row_cuencas = pg_fetch_assoc($resultado_cuencas)) {
            $id_cuenca = $row_cuencas['codigo'];
            $nombre_cuenca = htmlspecialchars($row_cuencas['nombre']);
            echo "<option value='".$id_cuenca."'>".$nombre_cuenca."</option>";
        }
        echo "</select>";
    }

    // Si se ha seleccionado una cuenca, obtener los puntos de monitoreo correspondientes
    if (isset($_GET['cuenca']) && !empty($_GET['cuenca'])) {
        $cuencaSeleccionada = $_GET['cuenca'];
        $query_puntos = "SELECT nombre_pun FROM puntos_monitoreo WHERE cod_cuenca = $cuencaSeleccionada";
        $resultado_puntos = pg_query($conexion, $query_puntos);
        if (!$resultado_puntos) {
            die("Error al ejecutar la consulta de puntos de monitoreo.");
        } else {
            // Generar select de puntos de monitoreo
            echo "<br>";
            echo "SZH: " .$cuencaSeleccionada;
            echo "<br>";
            echo "<label for='puntos'>Seleccionar Punto Monitoreo:</label>";
            echo "<br>";
            echo "<select id='puntos'>";
            echo "<option value=''>Seleccionar punto de monitoreo</option>";
            while ($row_puntos = pg_fetch_assoc($resultado_puntos)) {
                $nombre_punto = htmlspecialchars($row_puntos['nombre_pun']);
                echo "<option value='".$nombre_punto."'>".$nombre_punto."</option>";
            }
            echo "</select>";
        }
    }

}

// Generar el selector de fecha
echo "<br>";
echo "<br>";
echo "<label for='fecha'>Fecha de Monitoreo:  </label>";
echo "<input type='date' id='fecha'>";

// Cerrar la conexión
pg_close($conexion);
?>


